Skip to main content
GET
/
merkle
/
root
/
{txid}
Get Merkle root for a transaction ID
curl --request GET \
  --url https://api.timelockdata.com/api/v1/merkle/root/{txid}
{
  "status": "<string>",
  "merkleRoot": "<string>",
  "txidCount": 123,
  "sendStatus": "<string>",
  "treeDepth": 123,
  "createdAt": "<string>",
  "tsaGenTime": "<string>",
  "tsaSerial": "<string>",
  "tsaPolicy": "<string>",
  "batchId": "<string>",
  "error": "<string>"
}
No authentication required. Retrieve the Merkle root and batch information for a given blockchain transaction ID.

Path Parameters

txid
string
required

Transaction ID

Response

Merkle root information

status
string
required

Response status

merkleRoot
string

Merkle root hash

txidCount
number

Number of TXIDs in the batch

sendStatus
string

Send status (P=Pending, S=Sent, F=Failed, C=Confirmed)

treeDepth
number

Tree depth

createdAt
string

Batch creation date (ISO 8601)

tsaGenTime
string

TSA certified timestamp (ISO 8601)

tsaSerial
string

TSA serial number

tsaPolicy
string

TSA policy OID

batchId
string

Batch ID (needed to download .tsr token)

error
string

Error message if applicable